### Method

# RB TransferTarget track_prepare

#### Declaration [src]

    void
    rb_transfer_target_track_prepare (
      RBTransferTarget* target,
      RhythmDBEntry* entry,
      const char* uri,
      GError** error
    )

#### Description [src]

Performs any preparation necessary before starting the transfer. This is called on a task thread, so no UI interaction is possible.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The source `RhythmDBEntry` for the transfer.

  The data is owned by the caller of the method.

`uri`

  Type: `const char*`

  The destination URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.